[ARVADOS] updated: 5c3c04ad25cfabaa860bb0ea3f3dc078a9562008
git at public.curoverse.com
git at public.curoverse.com
Thu May 8 09:28:14 EDT 2014
Summary of changes:
sdk/cli/bin/crunch-job | 2 +-
1 files changed, 1 insertions(+), 1 deletions(-)
via 5c3c04ad25cfabaa860bb0ea3f3dc078a9562008 (commit)
from cdf7b162906cb37d4ecf88ff6c72433bcdd8fc84 (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
commit 5c3c04ad25cfabaa860bb0ea3f3dc078a9562008
Author: Brett Smith <brett at curoverse.com>
Date: Thu May 8 09:28:23 2014 -0400
2492: Crunch respects the maximum length of Docker image hashes.
diff --git a/sdk/cli/bin/crunch-job b/sdk/cli/bin/crunch-job
index 14b1be9..48226d3 100755
--- a/sdk/cli/bin/crunch-job
+++ b/sdk/cli/bin/crunch-job
@@ -517,7 +517,7 @@ if ($docker_image) {
}
# If the Docker image was specified as a hash, pull will fail.
# Ignore that error. We'll see what happens when we try to run later.
- if (($? != 0) && ($docker_image !~ /^[0-9a-fA-F]{5,}$/))
+ if (($? != 0) && ($docker_image !~ /^[0-9a-fA-F]{5,64}$/))
{
croak("Installing Docker image $docker_image returned exit code $?");
}
-----------------------------------------------------------------------
hooks/post-receive
--
More information about the arvados-commits
mailing list